Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations
Class HandlerChainAnnotation

    java.lang.Object
      org.codehaus.xfire.annotations.HandlerChainAnnotation

Direct Known Subclasses:
  HandlerChain

    public class HandlerChainAnnotation

extends java.lang.Object

Represents a common representation of a handler chain annotation. Associates the Web Service with an externally defined handler chain. This annotation is typically used in scenarios where embedding the handler configuration directly in the Java source is not appropriate; for example, where the handler configuration needs to be shared across multiple Web Services, or where the handler chain consists of handlers for multiple transports.

It is an error to combine this annotation with the `SOAPMessageHandler`.

Author:
  Arjen Poutsma

Constructor Summary
`HandlerChainAnnotation(java.lang.String file, java.lang.String name)` Initializes a new instance of the `HandlerChain` attribute with the given file and chain name.

Method Summary
`java.lang.String` | `getFile()` Returns the location of the handler chain file.
`java.lang.String` | `getName()` Returns the name of the handler chain in the configuration file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerChainAnnotation

    public HandlerChainAnnotation(java.lang.String file,
                                  java.lang.String name)

  Initializes a new instance of the `HandlerChain` attribute with the given file and chain name.

  Parameters:
    `file` - the file name.
    `name` - the handler name.

Method Detail

### getFile

    public java.lang.String getFile()

  Returns the location of the handler chain file. The location is a URL, which may be relative or absolute. Relative URLs are relative to the location of the service implementation bean at the time of processing.

  Returns:
    the location of the handler chain file.

### getName

    public java.lang.String getName()

  Returns the name of the handler chain in the configuration file.

  Returns:
    the name of the handler chain.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.